##### basic_datagram_socket::basic_datagram_socket (7 of 10 overloads)

Construct a `basic_datagram_socket` on an existing native socket.

    basic_datagram_socket(
        const executor_type & ex,
        const protocol_type & protocol,
        const native_handle_type & native_socket);

This constructor creates a datagram socket object to hold an existing native socket.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

asio::system_error

  Thrown on failure.